aagc.vo

## Class UpdatePianoTerapeuticoDemRequest

- java.lang.Object
- - aagc.vo.UpdatePianoTerapeuticoDemRequest

-     public class UpdatePianoTerapeuticoDemRequest
      extends java.lang.Object

  Classe Java per updatePianoTerapeuticoDemRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="updatePianoTerapeuticoDemRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="nomeFileAllegato">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="6"/>
                     <maxLength value="60"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="argomento">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="pinCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="documento" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
               <element name="cfMedico" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="16"/>
                     <pattern value="[a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codRegione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="3"/>
                     <pattern value="[a-zA-Z0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codASLAo" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="3"/>
                     <pattern value="[a-zA-Z0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codStruttura" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="10"/>
                     <pattern value="[a-zA-Z]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codSpecializzazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <pattern value="[a-zA-Z0-9]+"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="tipoOperazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="0|1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numProtocollo" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="256"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="opzioniRequest" type="{http://www.nsisr.puglia.it/Schemas/}opzioniType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `argomento`
    `protected java.lang.String` | `cfMedico`
    `protected java.lang.String` | `codASLAo`
    `protected java.lang.String` | `codRegione`
    `protected java.lang.String` | `codSpecializzazione`
    `protected java.lang.String` | `codStruttura`
    `protected byte[]` | `documento`
    `protected java.lang.String` | `nomeFileAllegato`
    `protected java.lang.String` | `numProtocollo`
    `protected java.util.List<OpzioniType>` | `opzioniRequest`
    `protected java.lang.String` | `pinCode`
    `protected java.lang.String` | `tipoOperazione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdatePianoTerapeuticoDemRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArgomento()` Recupera il valore della proprietà argomento.
    `java.lang.String` | `getCfMedico()` Recupera il valore della proprietà cfMedico.
    `java.lang.String` | `getCodASLAo()` Recupera il valore della proprietà codASLAo.
    `java.lang.String` | `getCodRegione()` Recupera il valore della proprietà codRegione.
    `java.lang.String` | `getCodSpecializzazione()` Recupera il valore della proprietà codSpecializzazione.
    `java.lang.String` | `getCodStruttura()` Recupera il valore della proprietà codStruttura.
    `byte[]` | `getDocumento()` Recupera il valore della proprietà documento.
    `java.lang.String` | `getNomeFileAllegato()` Recupera il valore della proprietà nomeFileAllegato.
    `java.lang.String` | `getNumProtocollo()` Recupera il valore della proprietà numProtocollo.
    `java.util.List<OpzioniType>` | `getOpzioniRequest()` Gets the value of the opzioniRequest property.
    `java.lang.String` | `getPinCode()` Recupera il valore della proprietà pinCode.
    `java.lang.String` | `getTipoOperazione()` Recupera il valore della proprietà tipoOperazione.
    `void` | `setArgomento(java.lang.String value)` Imposta il valore della proprietà argomento.
    `void` | `setCfMedico(java.lang.String value)` Imposta il valore della proprietà cfMedico.
    `void` | `setCodASLAo(java.lang.String value)` Imposta il valore della proprietà codASLAo.
    `void` | `setCodRegione(java.lang.String value)` Imposta il valore della proprietà codRegione.
    `void` | `setCodSpecializzazione(java.lang.String value)` Imposta il valore della proprietà codSpecializzazione.
    `void` | `setCodStruttura(java.lang.String value)` Imposta il valore della proprietà codStruttura.
    `void` | `setDocumento(byte[] value)` Imposta il valore della proprietà documento.
    `void` | `setNomeFileAllegato(java.lang.String value)` Imposta il valore della proprietà nomeFileAllegato.
    `void` | `setNumProtocollo(java.lang.String value)` Imposta il valore della proprietà numProtocollo.
    `void` | `setPinCode(java.lang.String value)` Imposta il valore della proprietà pinCode.
    `void` | `setTipoOperazione(java.lang.String value)` Imposta il valore della proprietà tipoOperazione.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nomeFileAllegato

          protected java.lang.String nomeFileAllegato

    - #### argomento

          protected java.lang.String argomento

    - #### pinCode

          protected java.lang.String pinCode

    - #### documento

          protected byte[] documento

    - #### cfMedico

          protected java.lang.String cfMedico

    - #### codRegione

          protected java.lang.String codRegione

    - #### codASLAo

          protected java.lang.String codASLAo

    - #### codStruttura

          protected java.lang.String codStruttura

    - #### codSpecializzazione

          protected java.lang.String codSpecializzazione

    - #### tipoOperazione

          protected java.lang.String tipoOperazione

    - #### numProtocollo

          protected java.lang.String numProtocollo

    - #### opzioniRequest

          protected java.util.List<OpzioniType> opzioniRequest

  - ### Constructor Detail

    - #### UpdatePianoTerapeuticoDemRequest

          public UpdatePianoTerapeuticoDemRequest()

  - ### Method Detail

    - #### getNomeFileAllegato

          public java.lang.String getNomeFileAllegato()

      Recupera il valore della proprietà nomeFileAllegato.
      Returns:
        possible object is `String`

    - #### setNomeFileAllegato

          public void setNomeFileAllegato(java.lang.String value)

      Imposta il valore della proprietà nomeFileAllegato.
      Parameters:
        `value` - allowed object is `String`

    - #### getArgomento

          public java.lang.String getArgomento()

      Recupera il valore della proprietà argomento.
      Returns:
        possible object is `String`

    - #### setArgomento

          public void setArgomento(java.lang.String value)

      Imposta il valore della proprietà argomento.
      Parameters:
        `value` - allowed object is `String`

    - #### getPinCode

          public java.lang.String getPinCode()

      Recupera il valore della proprietà pinCode.
      Returns:
        possible object is `String`

    - #### setPinCode

          public void setPinCode(java.lang.String value)

      Imposta il valore della proprietà pinCode.
      Parameters:
        `value` - allowed object is `String`

    - #### getDocumento

          public byte[] getDocumento()

      Recupera il valore della proprietà documento.
      Returns:
        possible object is byte[]

    - #### setDocumento

          public void setDocumento(byte[] value)

      Imposta il valore della proprietà documento.
      Parameters:
        `value` - allowed object is byte[]

    - #### getCfMedico

          public java.lang.String getCfMedico()

      Recupera il valore della proprietà cfMedico.
      Returns:
        possible object is `String`

    - #### setCfMedico

          public void setCfMedico(java.lang.String value)

      Imposta il valore della proprietà cfMedico.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodRegione

          public java.lang.String getCodRegione()

      Recupera il valore della proprietà codRegione.
      Returns:
        possible object is `String`

    - #### setCodRegione

          public void setCodRegione(java.lang.String value)

      Imposta il valore della proprietà codRegione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodASLAo

          public java.lang.String getCodASLAo()

      Recupera il valore della proprietà codASLAo.
      Returns:
        possible object is `String`

    - #### setCodASLAo

          public void setCodASLAo(java.lang.String value)

      Imposta il valore della proprietà codASLAo.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodStruttura

          public java.lang.String getCodStruttura()

      Recupera il valore della proprietà codStruttura.
      Returns:
        possible object is `String`

    - #### setCodStruttura

          public void setCodStruttura(java.lang.String value)

      Imposta il valore della proprietà codStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodSpecializzazione

          public java.lang.String getCodSpecializzazione()

      Recupera il valore della proprietà codSpecializzazione.
      Returns:
        possible object is `String`

    - #### setCodSpecializzazione

          public void setCodSpecializzazione(java.lang.String value)

      Imposta il valore della proprietà codSpecializzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoOperazione

          public java.lang.String getTipoOperazione()

      Recupera il valore della proprietà tipoOperazione.
      Returns:
        possible object is `String`

    - #### setTipoOperazione

          public void setTipoOperazione(java.lang.String value)

      Imposta il valore della proprietà tipoOperazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumProtocollo

          public java.lang.String getNumProtocollo()

      Recupera il valore della proprietà numProtocollo.
      Returns:
        possible object is `String`

    - #### setNumProtocollo

          public void setNumProtocollo(java.lang.String value)

      Imposta il valore della proprietà numProtocollo.
      Parameters:
        `value` - allowed object is `String`

    - #### getOpzioniRequest

          public java.util.List<OpzioniType> getOpzioniRequest()

      Gets the value of the opzioniRequest property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the opzioniRequest property.

      For example, to add a new item, do as follows:

              getOpzioniRequest().add(newItem);

      Objects of the following type(s) are allowed in the list `OpzioniType`